{
    description = "A very basic flake";

    inputs = {
        nixpkgs.url ="nixpkgs/nixos-unstable";

        zig.url = "github:mitchellh/zig-overlay/main";
        zig.inputs.nixpkgs.follows = "nixpkgs";

        zls.url = "git+https://git.andr3h3nriqu3s.com/andr3/zls";
        zls.inputs.nixpkgs.follows = "nixpkgs";
    };

    outputs = { self, zig, zls, ... }: {
        packages.x86_64-linux.zig = zig.packages.x86_64-linux.master;
        packages.x86_64-linux.zls = zls.packages.x86_64-linux.default;
    };
}
